using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

public class GameController : MonoBehaviour {
    /*
    DONT PUT EVENT CODE IN HERE! THIS IS A SINGLETON!!
    */

    private string dataPath;

    public string cityName = "Tiny Town";

    void Start()
    {
        if (GameObject.FindGameObjectsWithTag("GameController").Length > 1)
        {
            Destroy(gameObject);
            return;
        }

        DontDestroyOnLoad(gameObject);

        dataPath = Application.dataPath;
        Debug.Log("Data Path: " + dataPath);
    }

    public void EnterGame()
    {
        SceneManager.LoadScene(2, LoadSceneMode.Single);
    }
}
